Bug 16220 - The view tabs on opac-detail.pl are not responsive
Summary: The view tabs on opac-detail.pl are not responsive
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-06 21:39 UTC by Ed Veal
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
phone screenshot (787.78 KB, image/png)
2016-04-06 21:39 UTC, Ed Veal
Details
Bug 16220 - The view tabs on opac-detail.pl are not responsive (7.32 KB, patch)
2016-04-07 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16220 [Compiled CSS] The view tabs on opac-detail.pl are not responsive (81.17 KB, patch)
2016-04-07 16:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16220 - The view tabs on opac-detail.pl are not responsive (7.42 KB, patch)
2016-04-08 09:43 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16220 [Compiled CSS] The view tabs on opac-detail.pl are not responsive (81.27 KB, patch)
2016-04-08 09:44 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16220 - The view tabs on opac-detail.pl are not responsive (7.49 KB, patch)
2016-04-08 12:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16220 [Compiled CSS] The view tabs on opac-detail.pl are not responsive (81.34 KB, patch)
2016-04-08 12:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2016-04-06 21:39:47 UTC
Created attachment 50007 [details]
phone screenshot

The view tabs on opac-detail.pl are not responsive via bootstrap. When you view a site on a phone you still have to scroll right to see all the view options.
Comment 1 Owen Leonard 2016-04-07 16:27:07 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-04-07 16:27:57 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2016-04-08 09:43:27 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2016-04-08 09:44:45 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-04-08 12:55:31 UTC
Created attachment 50080 [details] [review]
Bug 16220 - The view tabs on opac-detail.pl are not responsive

When looking at the detail page for a bibliographic record, there are
tabs linking to the "Normal," "MARC," and "ISBD" views. These tabs need
to be styled responsively so that they work well at all browser widths.

This patch makes some slight markup changes to the templates and updates
the LESS files to add responsive styling.

This patch does not include the compiled CSS file, so the follow-up is
required to test the visual changes.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Jonathan Druart 2016-04-08 12:55:36 UTC
Created attachment 50081 [details] [review]
Bug 16220 [Compiled CSS] The view tabs on opac-detail.pl are not responsive

This patch updates the compiled CSS file with changes made in the
previous patch to the LESS files.

To test, apply both patches and clear your browser cache if necessary.

- View the bibliographic detail page for any record in the OPAC
- Confirm that the style of the "Normal," "MARC," and "ISBD" links looks
  correct.
- Resize your browser to various widths, including very narrow widths.
  Confirm that the links work well at all sizes.
- Repeat the test for each view, normal, MARC, and ISBD.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Brendan Gallagher 2016-04-22 23:03:19 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 8 Julian Maurice 2016-05-16 11:17:33 UTC
Patch pushed to 3.22.x, will be in 3.22.7
Comment 9 Chris Cormack 2016-06-20 23:07:05 UTC
Pushed to 3.20.x will be in 3.20.11